{ Globals.pas
  globals variables for the sim552 }

unit globals;

interface

type
    pulsewidthoutput = record
       name : string[4];
       state: byte;
    end;

const
   xramlimit = $3fff;
   cramlimit = $3fff;

var
   WinUpdate, { if true, windows are refreshed during RUN mode }
   Running80C552 { if true, CPU is running a program }
              : Boolean;
   Cycles     : Word; { number of CPU cycles }
   iram    : array[0..$ff] of byte;   { internal data ram }
   xxram   : array[0..xramlimit] of byte; { external data memory }
   cram    : array[0..cramlimit] of byte; { program memory }
   sfrram  : array[$80..$ff] of byte; { special function register memory }
   regbank : byte;          {defines which register bank}
   PC      : word;

implementation

begin
end.
